Subject: Re: [OPSAWG] open issue discussion for the IFIT draft

From: Haoyu Song <[email-masked]>
Date: Wed, 4 Dec 2019 01:19:45 +0000

Hi Joe,

So far we have received Diego's feedback on the issue #1 and we'll make modification according to his suggestion. Since there's no other comments on the issues, I consider they are all resolved. Therefore, I'd like to request the WG adoption of this draft. Thank you very much!

Best regards,
Haoyu

From: Haoyu Song
Sent: Wednesday, November 20, 2019 6:32 PM
To: [email-masked]; [email-masked]
Subject: open issue discussion for the IFIT draft

Hi OPSAWG chairs and participants,

https://datatracker.ietf.org/doc/draft-song-opsawg-ifit-framework/

In today's meeting I saw predominant interest and support to this draft, especially from operators. At the end of the presentation, Joe said there are still some open issues needed to be addressed before considering adoption. Below I list several open issues raised during the meeting and propose possible resolution. Please read the latest v08 version and feel free to add to the list if I missed anything or provide clarification if I misunderstood your concerns. Hopefully all these issues are addressed timely. Thank you very much!

1. The term of "closed-loop telemetry" is confusing. May consider to change it.

A: Although in the draft we have tried to clarify the difference between this term and the closed control loop in the context of network automation, there might still be confusions. Maybe "interactive telemtry" or"dyanmic telemtry" are better? We are open for suggestions.

2. The scope of the draft is too large to be covered by one draft.

A: There might be some misunderstandings about the purpose and scope of this draft. We think the message of this draft is simple. First, from a high level view, it discusses the possible applications of a class of related dataplane telemetry techniques. Second, the scope is quite limited and the discussion follow a simple logic: clarify and categorize the underlying techniques, then describe the application challenges from a system perspective, then describe a high level framework with a series possible points which can help address these challenges, and finally provide a summary of standard status and gaps in order to implement a standard-based solution. We have no intent to specify any implementation and interface.

We'll polish the writing to make the logic and flow clearer. If we don't catch any specific concerns, please spell out and we'll consider how to clarify them.

3. What's the difference between this draft and NTF draft?

A. Good question.  We should clarify this explicitly in the draft.  IFIT is specific to data plane while NTF is one level higher than it and covers all the three planes.  IFIT complies with NTF and provide more specific and detailed information.

4. The draft looks like a system solution. If so, it lacks details to guide the deployment and ensure compliance.

A. It shouldn't be considered as a mandatory specification or detailed deployment guide. It's just a high level framework with a few recommend components, without any constraints on specific implementation and interface, wheras we believe an actual implementation will more or less use the components in order to address the challenges. We will further polish the text to eliminate such confusion.

Haoyu